System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IEndpointBehavior

Use this behavior to instruct the channel listener to use a synchronous receive rather than the default, asynchronous. Using instructs indigo2 to issue a new thread to pump for each accepted channel. If there are a lot of channels there is the possibility of running out of threads.

You can also set this value using the <synchronousReceive> element in an application configuration file.

Controls whether channels listen synchronously or asynchronously.

- Constructor
  4.0.0.0
  To be added.

  Creates an instance of the class.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  See for a description of the interface member that this class implements.

  Not implemented in this class.

  The objects that binding elements require to support the behavior.
- Method
  4.0.0.0
  System.Void `` ``

  See for a description of the interface member this class implements.

  Not implemented in this class.

  The endpoint that is to be customized. The client runtime to be customized.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Throws an exception if the is null.

  Sets the property to true.

  The endpoint that exposes the contract.
- Method
  4.0.0.0
  System.Void ``

  See for a description of the interface member this class implements.

  Not implemented in this class.

  The endpoint to validate.